# libuv 1.52.1 — lib C base (de-Alpinizada, Etapa G). compiler=zig-cc (migrado de gcc, matar-gcc 2026-07-16), configure-split, estático.
name    = "libuv"
version = "1.52.1"

[source]
tarball = "https://dist.libuv.org/dist/v1.52.1/libuv-v1.52.1.tar.gz"
sha256  = "66d511b9e6e334c0e62279eb234fbfb2b3110b1479c09b95b44c7afca8cff9e7"
patches = ["fix-test-musl.patch"]

[build]
compiler = "zig-cc"
target   = "x86_64-linux-musl"
link     = "static"
flags    = []

[build.phases]
configure = './autogen.sh && ./configure --build=$CBUILD --host=$CHOST --prefix=/usr --disable-shared --enable-static'
compile   = 'make'
install   = 'make DESTDIR=/out install'

